AntMessageLogger
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class AntMessageLogger

    java.lang.Object
      org.apache.ivy.util.AbstractMessageLogger
          org.apache.ivy.ant.AntMessageLogger

All Implemented Interfaces:
  MessageLogger

    public class AntMessageLogger

extends AbstractMessageLogger

Implementation of the simple message facility for ant.

Constructor Summary
`protected` | `AntMessageLogger(org.apache.tools.ant.ProjectComponent task)` Constructs a new AntMEssageImpl instance.

Method Summary
`void` | `doEndProgress(java.lang.String msg)` Indicates the end of a long running task
`void` | `doProgress()` Indicates a progression for a long running task
`void` | `log(java.lang.String msg, int level)` Logs a message at the given level.
`void` | `rawlog(java.lang.String msg, int level)` Same as `MessageLogger.log(String, int)`, but without adding any contextual information to the message.
`static void` | `register(org.apache.tools.ant.ProjectComponent task, Ivy ivy)` Creates and register an `AntMessageLogger` for the given `Task`, with the given `Ivy` instance.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ivy.util.AbstractMessageLogger
`clearProblems, debug, deprecated, endProgress, endProgress, error, getErrors, getProblems, getWarns, info, isShowProgress, progress, rawinfo, setShowProgress, sumupProblems, verbose, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntMessageLogger

    protected AntMessageLogger(org.apache.tools.ant.ProjectComponent task)

  Constructs a new AntMEssageImpl instance.

  Parameters:
    `antProjectComponent` - the ant project component this message implementation should use for logging. Must not be `null`.

Method Detail

### register

    public static void register(org.apache.tools.ant.ProjectComponent task,
                                Ivy ivy)

  Creates and register an `AntMessageLogger` for the given `Task`, with the given `Ivy` instance.

  The created instance will automatically be unregistered from the Ivy instance when the task finishes.

  Parameters:
    `task` - the task the logger should use for logging
    `ivy` - the ivy instance on which the logger should be registered

### log

    public void log(java.lang.String msg,
                    int level)

  Description copied from interface: `MessageLogger`
  Logs a message at the given level.

  `level` constants are defined in the `Message` class.

  Parameters:
    `msg` - the message to log
    `level` - the level at which the message should be logged.
  See Also:
    `Message.MSG_DEBUG`, `Message.MSG_VERBOSE`, `Message.MSG_INFO`, `Message.MSG_WARN`, `Message#MSG_ERROR`

### rawlog

    public void rawlog(java.lang.String msg,
                       int level)

  Description copied from interface: `MessageLogger`
  Same as `MessageLogger.log(String, int)`, but without adding any contextual information to the message.

  Parameters:
    `msg` - the message to log
    `level` - the level at which the message should be logged.

### doProgress

    public void doProgress()

  Description copied from class: `AbstractMessageLogger`
  Indicates a progression for a long running task

  Specified by:
    `doProgress` in class `AbstractMessageLogger`

### doEndProgress

    public void doEndProgress(java.lang.String msg)

  Description copied from class: `AbstractMessageLogger`
  Indicates the end of a long running task

  Specified by:
    `doEndProgress` in class `AbstractMessageLogger`
  Parameters:
    `msg` - the message associated with long running task end.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD